summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Kevin Myers <jwblack@cox.net>2010-05-11 20:01:37 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:37 +0200
commit242de53c147f4fe93881e1258eef9beb243b0d5a (patch)
treec02e8f5cf31ef8da9ded38b9631347edef267253 /network
parent0c30b0cf01e1a48f1a7194cece702fb7347a5ac1 (diff)
downloadslackbuilds-242de53c147f4fe93881e1258eef9beb243b0d5a.tar.gz
slackbuilds-242de53c147f4fe93881e1258eef9beb243b0d5a.tar.xz
network/macchanger: Added to 12.0 repository
Diffstat (limited to 'network')
-rw-r--r--network/macchanger/README10
-rw-r--r--network/macchanger/macchanger.SlackBuild67
-rw-r--r--network/macchanger/macchanger.info8
-rw-r--r--network/macchanger/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/network/macchanger/README b/network/macchanger/README
new file mode 100644
index 0000000000..404318fe12
--- /dev/null
+++ b/network/macchanger/README
@@ -0,0 +1,10 @@
+GNU MAC Changer is a utility for viewing and manipulating
+the MAC address of network interfaces
+
+Features:
+-Set specific MAC address of a network interface
+-Set the MAC randomly
+-Set a MAC of another vendor
+-Set another MAC of the same vendor
+-Set a MAC of the same kind (eg: wireless card)
+-Display a vendor MAC list (today, 6800 items) to choose from
diff --git a/network/macchanger/macchanger.SlackBuild b/network/macchanger/macchanger.SlackBuild
new file mode 100644
index 0000000000..cd87ccefb9
--- /dev/null
+++ b/network/macchanger/macchanger.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+###################################################################
+# Slackware build script for macchanger
+#
+# Written by Kevin Myers jwblack AT cox DOT net 09-02-2007
+#
+###################################################################
+
+
+PRGNAM=macchanger
+VERSION=1.5.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING INSTALL NEWS README ChangeLog"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/macchanger/macchanger.info b/network/macchanger/macchanger.info
new file mode 100644
index 0000000000..0d4475a5dc
--- /dev/null
+++ b/network/macchanger/macchanger.info
@@ -0,0 +1,8 @@
+PRGNAM="macchanger"
+VERSION="1.5.0"
+HOMEPAGE="http://www.alobbs.com/macchanger"
+DOWNLOAD="ftp://ftp.gnu.org/gnu/macchanger/macchanger-1.5.0.tar.gz"
+MD5SUM="79b7cdaeca3d8ebafa764c4b0dd03ab7"
+MAINTAINER="Kevin Myers"
+EMAIL="jwblack@cox.net"
+APPROVED="rworkman"
diff --git a/network/macchanger/slack-desc b/network/macchanger/slack-desc
new file mode 100644
index 0000000000..a86962101f
--- /dev/null
+++ b/network/macchanger/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+macchanger: macchanger (utility for viewing/manipulating the MAC address)
+macchanger:
+macchanger: This is a GNU/Linux Utility for viewing/manipulating the MAC
+macchanger: address of network interfaces.
+macchanger:
+macchanger: http://www.alobbs.org/macchanger
+macchanger:
+macchanger:
+macchanger:
+macchanger:
+macchanger: